View Issue Details

IDProjectCategoryView StatusLast Update
0003881DraftBugpublic2019-03-23 12:30
ReportergaryaAssigned Totriplus 
PrioritylowSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformPCOSFreeBSDOS Version11.2-RELEASE-p4
Product Version0.18 
Target Version0.18Fixed in Version0.18 
Summary0003881: Draft preference Interface Mode / Toolbar forces minimum main FC app window size
DescriptionIf the Draft WB preference "Interface Mode" is set to "Toolbar" instead of "TaskView", the added toolbar can have a length larger than the display size (in my case, 1280 px wide). This forces the FC app to a size that won't fit on the display.

One remedy would be for the toolbar to wrap
Another would be for it to be arranged differently, as in two rows (I don't know how easy this is to do)

Forum discussion:
https://forum.freecadweb.org/viewtopic.php?f=3&t=34552

OS: UNIX
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.dace2f39cf
Build type: Release
Python version: 2.7.15
Qt version: 4.8.7
Coin version: 3.1.3
OCC version: 7.3.0
Locale: C/Default (C)
Steps To ReproduceMake sure display is set to small resolution, 1280 (or less) x something
FC
Draft WB
Set Draft WB Preference "Draft Interface Mode" to "Toolbar"
Exit FC
FC
Draft WB
New Document
Click on Plane selection button
TagsNo tags attached.

Activities

triplus

2019-03-08 17:44

developer   ~0012866

https://github.com/FreeCAD/FreeCAD/commit/10cdb56f248b80b05a67ad674c23c2951a97e987

Kunda1

2019-03-23 12:30

administrator   ~0012945

@triplus feel free to close ticket instead of resolving it.

Issue History

Date Modified Username Field Change
2019-03-03 19:18 garya New Issue
2019-03-08 17:43 triplus Assigned To => triplus
2019-03-08 17:43 triplus Status new => assigned
2019-03-08 17:44 triplus Status assigned => resolved
2019-03-08 17:44 triplus Resolution open => fixed
2019-03-08 17:44 triplus Fixed in Version => 0.18
2019-03-08 17:44 triplus Note Added: 0012866
2019-03-23 12:30 Kunda1 Target Version => 0.18
2019-03-23 12:30 Kunda1 Note Added: 0012945
2019-03-23 12:30 Kunda1 Status resolved => closed